Package: freedict-tools / 0.5.0~beta.4-1

Metadata

Package Version Patches format
freedict-tools 0.5.0~beta.4-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
add_debian_management_script | (download)

fetchdictdata.py | 442 442 + 0 - 0 !
1 file changed, 442 insertions(+)

 add debian maintainer assistant
 This patch add a helper script for maintainers of Debian FreeDict packages. See
 the documentation of that script to find out more.
remove_slob_support | (download)

mk/dicts.mk | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 set "slob" as non-available platform
 Upstream's make (AKA make build) also calls rules for slob, for which the
 converter is not part of Debian. Hence this bit was removed.
remove_api_from_install | (download)

Makefile | 7 3 + 4 - 0 !
1 file changed, 3 insertions(+), 4 deletions(-)

 strip unused scripts from installation
 By default, the upstream Makefile installs Python scripts in a very
 non-standard way to a very non-standard location. Since these are not required
 for building dictionaries, they are not installed with this package.
dontrequirepython | (download)

mk/config.mk | 90 45 + 45 - 0 !
1 file changed, 45 insertions(+), 45 deletions(-)

 don't require python for build
 The features requiring Python are not packaged for Debian, therefore this patch
 removes the build system's check for it.
10 backport install_addphonetics | (download)

Makefile | 4 3 + 1 - 0 !
1 file changed, 3 insertions(+), 1 deletion(-)

 install teiaddphonetics
 This patch adds the teiaddphonetics script to the list of files to be installed
 under /usr/share/freedict.
mitigate_teiaddphonetics_failure | (download)

mk/dicts.mk | 3 2 + 1 - 0 !
1 file changed, 2 insertions(+), 1 deletion(-)

 mask teiaddphonetics failure
 Teiaddphonetics can fail on a dictionary, aborting the whole package build
 process. This patch circumvents this issue by copying the unmodified TEI file
 to the destination so that the build process can continue.